import request from "@/scripts/httpRequest";
import qs from "qs";

export const getLocalCameraTree = (query: any) => {
  return request({
    url: "/data/api-v/area/localmenu",
    method: "get",
    params: query
  });
};

export const getGB28181CameraTree = (query: any) => {
  return request({
    url: "/data/api-v/gb28181/tree",
    method: "get",
    params: query
  });
};

export const getClusterTree = (query: any) => {
  return request({
    url: "/data/api-v/camera/nodeCamera",
    method: "get",
    params: query
  });
};

export const addAreaTreeData = (query: any) => {
  return request({
    url: "/data/api-v/area/add",
    method: "post",
    data: qs.stringify(query)
  });
};

export const delAreaTreeData = (query: any) => {
  return request({
    url: "/data/api-v/area/del",
    method: "post",
    data: qs.stringify(query)
  });
};

export const updateAreaTreeData = (query: any) => {
  return request({
    url: "/data/api-v/area/update",
    method: "post",
    data: qs.stringify(query)
  });
};

export const getCameraBaseImage = (query: any) => {
  return request({
    url: "/data/api-v/gb28181/camera/capture",
    method: "get",
    params: query
  });
};

export const getGb28181Pool = () => {
  return request({
    url: "/data/api-v/gb28181/treeSelected",
    method: "get"
  });
};

export const refreshGB28181Tree = () => {
  return request({
    url: "/data/api-v/gb28181/treeRefresh",
    method: "post",
  });
};

export const updateCameraArea = (query: any) => {
  return request({
    url: "/data/api-v/camera/updateCameraArea",
    method: "post",
    data: qs.stringify(query)
  });
};
